Limerence
Datasets

Validate Dataset Entries

Validate SQL queries in dataset entries against the schema

POST
/datasets/{datasetId}/validate

Validate SQL queries in dataset entries against the schema

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

datasetId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/datasets/string/validate" \  -H "Content-Type: application/json" \  -d '{}'
{  "errors": [    {      "error": "string",      "id": "string",      "valid": true    }  ],  "invalid": 0,  "total": 0,  "valid": 0}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}